Web lists-archives.com

Re: [kde] how to use kdialog --font ?





On Tue, Oct 27, 2015 at 12:28 PM, Kevin Krammer <krammer@xxxxxxx> wrote:
> I'm not sure if there's a way to identify the Qt components in use
> ​ by 'kdialog'​
> .
> ​  (something like firefox' web developer "Inspect" would be awesome)​

Gammaray

​Kevin,

thanks!   Package "gammaray" on "Debian Jessie".  Looks like it might take some research on using it effectively (it finds a kdialog, but can't connect to it (greyed out in selection widget).  and:

$ gammaray --pid 9236
No probe found for ABI qt4.8-x86_64

$ kdialog --version
Qt: 4.8.6
KDE Development Platform: 4.14.2
KDialog: 1.0

$ aptitude show gammaray
Package: gammaray                       
State: installed
Version: 2.1.0-3+b1
Depends: libc6 (>= 2.14), libcgraph6, libgcc1 (>= 1:4.1.1), libgvc6, libqt5core5a (>= 5.3.0), libqt5designer5 (>= 5.0.2), libqt5gui5 (>= 5.2.0), libqt5network5 (>= 5.0.2), libqt5printsupport5 (>=
         5.2.0), libqt5script5 (>= 5.0.2), libqt5scripttools5 (>= 5.0.2), libqt5svg5 (>= 5.0.2), libqt5webkit5 (>= 5.0.2), libqt5widgets5 (>= 5.2.0), libstdc++6 (>= 4.4.0), qtbase-abi-5-3-2
...

Dunno if 'gammaray' for Qt5 can operate on a Qt 4 app?

Ah, never mind...

# aptitude install gammaray-probe-qt4

;)  (i now see some UI layout goodness)

thanks, again,
--stephen​



--
Stephen Dowdy  -  Systems Administrator  -  NCAR/RAL
303.497.2869   -  sdowdy@xxxxxxxx        -  http://www.ral.ucar.edu/~sdowdy/


___________________________________________________
This message is from the kde mailing list.
Account management:  https://mail.kde.org/mailman/listinfo/kde.
Archives: http://lists.kde.org/.
More info: http://www.kde.org/faq.html.